### Method

# Ide UnsavedFiles get_unsaved_file

#### Declaration

    IdeUnsavedFile*
    ide_unsaved_files_get_unsaved_file (
      IdeUnsavedFiles* self,
      GFile* file
    )

#### Description

Retrieves the unsaved file content for a particular file. If no unsaved file content is registered, `NULL` is returned.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeUnsavedFile`
| An `IdeUnsavedFile` or `NULL`. Thread safety: you may call this from any thread, as long as you hold a reference to `self`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.